Package org.eclipse.rdf4j.sail.lmdb.config

## Class LmdbStoreConfig

- java.lang.Object
- - org.eclipse.rdf4j.sail.config.AbstractSailImplConfig
  - - org.eclipse.rdf4j.sail.base.config.BaseSailConfig
    - - org.eclipse.rdf4j.sail.lmdb.config.LmdbStoreConfig

- All Implemented Interfaces:
    `SailImplConfig`

      public class LmdbStoreConfig
      extends BaseSailConfig

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `NAMESPACE_CACHE_SIZE` | The default namespace cache size.
    `static int` | `NAMESPACE_ID_CACHE_SIZE` | The default namespace id cache size.
    `static long` | `TRIPLE_DB_SIZE` | The default size of the triple database.
    `static int` | `VALUE_CACHE_SIZE` | The default value cache size.
    `static long` | `VALUE_DB_SIZE` | The default size of the value database.
    `static int` | `VALUE_ID_CACHE_SIZE` | The default value id cache size.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `LmdbStoreConfig()` |
    `LmdbStoreConfig​(String tripleIndexes)` |
    `LmdbStoreConfig​(String tripleIndexes, boolean forceSync)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Resource` | `export​(Model m)` |
    `boolean` | `getAutoGrow()` |
    `boolean` | `getForceSync()` |
    `int` | `getNamespaceCacheSize()` |
    `int` | `getNamespaceIDCacheSize()` |
    `long` | `getTripleDBSize()` |
    `String` | `getTripleIndexes()` |
    `int` | `getValueCacheSize()` |
    `long` | `getValueDBSize()` |
    `int` | `getValueIDCacheSize()` |
    `void` | `parse​(Model m, Resource implNode)` |
    `LmdbStoreConfig` | `setAutoGrow​(boolean autoGrow)` |
    `LmdbStoreConfig` | `setForceSync​(boolean forceSync)` | Flag indicating whether updates should be synced to disk forcefully.
    `LmdbStoreConfig` | `setNamespaceCacheSize​(int namespaceCacheSize)` |
    `LmdbStoreConfig` | `setNamespaceIDCacheSize​(int namespaceIDCacheSize)` |
    `LmdbStoreConfig` | `setTripleDBSize​(long tripleDBSize)` |
    `LmdbStoreConfig` | `setTripleIndexes​(String tripleIndexes)` |
    `LmdbStoreConfig` | `setValueCacheSize​(int valueCacheSize)` |
    `LmdbStoreConfig` | `setValueDBSize​(long valueDBSize)` |
    `LmdbStoreConfig` | `setValueIDCacheSize​(int valueIDCacheSize)` |

    - ### Methods inherited from class org.eclipse.rdf4j.sail.base.config.BaseSailConfig

      `getEvaluationStrategyFactory, getEvaluationStrategyFactoryClassName, setEvaluationStrategyFactoryClassName`

    - ### Methods inherited from class org.eclipse.rdf4j.sail.config.AbstractSailImplConfig

      `getConnectionTimeOut, getIterationCacheSyncThreshold, getType, setConnectionTimeOut, setIterationCacheSyncThreshold, setType, validate`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TRIPLE_DB_SIZE

          public static final long TRIPLE_DB_SIZE

      The default size of the triple database.
      See Also:
        Constant Field Values

    - #### VALUE_DB_SIZE

          public static final long VALUE_DB_SIZE

      The default size of the value database.
      See Also:
        Constant Field Values

    - #### VALUE_CACHE_SIZE

          public static final int VALUE_CACHE_SIZE

      The default value cache size.
      See Also:
        Constant Field Values

    - #### VALUE_ID_CACHE_SIZE

          public static final int VALUE_ID_CACHE_SIZE

      The default value id cache size.
      See Also:
        Constant Field Values

    - #### NAMESPACE_CACHE_SIZE

          public static final int NAMESPACE_CACHE_SIZE

      The default namespace cache size.
      See Also:
        Constant Field Values

    - #### NAMESPACE_ID_CACHE_SIZE

          public static final int NAMESPACE_ID_CACHE_SIZE

      The default namespace id cache size.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### LmdbStoreConfig

          public LmdbStoreConfig()

    - #### LmdbStoreConfig

          public LmdbStoreConfig​(String tripleIndexes)

    - #### LmdbStoreConfig

          public LmdbStoreConfig​(String tripleIndexes,
                                 boolean forceSync)

  - ### Method Detail

    - #### getTripleIndexes

          public String getTripleIndexes()

    - #### setTripleIndexes

          public LmdbStoreConfig setTripleIndexes​(String tripleIndexes)

    - #### setTripleDBSize

          public LmdbStoreConfig setTripleDBSize​(long tripleDBSize)

    - #### getTripleDBSize

          public long getTripleDBSize()

    - #### setValueDBSize

          public LmdbStoreConfig setValueDBSize​(long valueDBSize)

    - #### getValueDBSize

          public long getValueDBSize()

    - #### getForceSync

          public boolean getForceSync()

    - #### setForceSync

          public LmdbStoreConfig setForceSync​(boolean forceSync)

      Flag indicating whether updates should be synced to disk forcefully. This may have a severe impact on write performance. By default, this feature is disabled.

    - #### getValueCacheSize

          public int getValueCacheSize()

    - #### setValueCacheSize

          public LmdbStoreConfig setValueCacheSize​(int valueCacheSize)

    - #### getValueIDCacheSize

          public int getValueIDCacheSize()

    - #### setValueIDCacheSize

          public LmdbStoreConfig setValueIDCacheSize​(int valueIDCacheSize)

    - #### getNamespaceCacheSize

          public int getNamespaceCacheSize()

    - #### setNamespaceCacheSize

          public LmdbStoreConfig setNamespaceCacheSize​(int namespaceCacheSize)

    - #### getNamespaceIDCacheSize

          public int getNamespaceIDCacheSize()

    - #### setNamespaceIDCacheSize

          public LmdbStoreConfig setNamespaceIDCacheSize​(int namespaceIDCacheSize)

    - #### getAutoGrow

          public boolean getAutoGrow()

    - #### setAutoGrow

          public LmdbStoreConfig setAutoGrow​(boolean autoGrow)

    - #### export

          public Resource export​(Model m)

      Specified by:
        `export` in interface `SailImplConfig`
      Overrides:
        `export` in class `BaseSailConfig`

    - #### parse

          public void parse​(Model m,
                            Resource implNode)
                     throws SailConfigException

      Specified by:
        `parse` in interface `SailImplConfig`
      Overrides:
        `parse` in class `BaseSailConfig`
      Throws:
        `SailConfigException`